﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;

namespace DataGridValueToTextConverterProperty
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Style _style1 = (Style)this.TryFindResource("EditorStyle");
             
            Setter newSetter = new Setter(ValueEditor.ValueToTextConverterProperty, new ZeroToBlankConverter());
            this.xamDataPresenter1.FieldLayouts[0].Fields[0].Settings.EditorStyle = _style1;
            this.xamDataPresenter1.FieldLayouts[0].Fields[0].Settings.EditorStyle.Setters.Add(newSetter);
        }
    }

    public class ZeroToBlankConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string newValue = ((double)value).ToString();
           if(newValue.Contains("0"))
               newValue.Replace("0","");
            return newValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }

    
}
